﻿Imports System.Xml
Imports System.Text

Public Class Form1
    'Idenficação única do credenciado enviada por e-mail no momento do cadastro.
    Private token As String = "AAAAAAAA-AAAA-AAAA-AAAA-AAAAAAAAAAAA"


    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try
            Dim xml As XmlDocument = getXMLByHttpRoveri(txtChaveNFe.Text)
            MessageBox.Show(xml.OuterXml)

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Function getXMLByHttpRoveri(ByVal chave As String) As XmlDocument

        Dim url As String = "http://www.roveri.inf.br/consultas/nfe.php?token=" & Me.token & "&chave=" & chave

        Dim webClient As System.Net.WebClient = New System.Net.WebClient()
        webClient.Encoding = Encoding.UTF8
        Dim result As String = webClient.DownloadString(url)
        Dim xmlDoc As New XmlDocument
        xmlDoc.LoadXml(result)

        'Caso haja algum problema será devolvido no XML uma tag com a mensagem do problema

        If xmlDoc.GetElementsByTagName("mensagem").Count > 0 Then
            Dim mensagem As String = xmlDoc.GetElementsByTagName("mensagem").Item(0).InnerText
            Throw New Exception(mensagem)
        End If



        Return xmlDoc
    End Function


    Private Function getXMLByWebServiceRoveri(ByVal chave As String) As XmlDocument
        'Adicionar a referencia do WebService através da url http://www.roverisistemas.com.br/ws/nfe.php?wsdl

        Dim x As New wsNFe.wsRoveriNFeService
        Dim result As String = x.getNFe(Me.token, chave)
        Dim xmlDoc As New XmlDocument
        xmlDoc.LoadXml(result)

        'Caso haja algum problema será devolvido no XML uma tag com a mensagem do problema

        If xmlDoc.GetElementsByTagName("mensagem").Count > 0 Then
            Dim mensagem As String = xmlDoc.GetElementsByTagName("mensagem").Item(0).InnerText
            Throw New Exception(mensagem)
        End If

        Return xmlDoc
    End Function


   

    Private Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Try
            Dim xml As XmlDocument = getXMLByWebServiceRoveri(txtChaveNFe.Text)
            MessageBox.Show(xml.OuterXml)

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        txtChaveNFe.Text = ""
    End Sub
End Class